<apex:page standardController="Opportunity" extensions="Tenant_Equipment_CSV_FileUploader_lex" showQuickActionVfHeader="false" showHeader="false" >

<script language="JavaScript" type="text/javascript">
    function CloseAndRefresh(){
        if(window.top.$A) {
  window.top.$A.get("e.force:closeQuickAction").fire();
}
  }
  
</script>
   
   <apex:form >
      <br/><br/><br/>
      <fieldset>
      <legend>Upload Tenant Equipment</legend>
      <br/>
      <font color="red"> <b>Note: Please use the standard template to upload Equipment. <a href="https://mydish.force.com/community/servlet/servlet.FileDownload?file=015f2000001vZNG" target="_blank"> Click here </a> to download the template. </b> </font>
      <br/>
      <apex:pagemessages />
      <apex:pageBlock >
              <apex:inputFile filename="{!nameFile}" contentType=".csv" value="{!contentFile}" id="choose" /> 
              <apex:commandButton action="{!ReadFile}" value="Upload File" /> 
              <apex:commandButton action="{!save}"  value="Save"  />
              <center>        
      <apex:pageblocktable value="{!uploadedEquipment}" var="Tenant_Equipment" rendered="{!NOT(ISNULL(uploadedEquipment))}">
             <apex:column headerValue="Receiver">
                <apex:inputField value="{!Tenant_Equipment.Name}"/>
             </apex:column>
             <apex:column headerValue="Smart Card">
                 <apex:inputField value="{!Tenant_Equipment.Smart_Card__c}"/>              
             </apex:column>
             <apex:column headerValue="Unit">
                 <apex:inputField value="{!Tenant_Equipment.Unit__c}"/>
             </apex:column>
             <apex:column headerValue="Address">
                 <apex:inputText value="{!Tenant_Equipment.Address__c}"/>
            </apex:column>
            <apex:column headerValue="City">
                 <apex:inputText value="{!Tenant_Equipment.City__c}"/>
            </apex:column>
            <apex:column headerValue="State">
                 <apex:inputText value="{!Tenant_Equipment.State__c}"/>
            </apex:column>
            <apex:column headerValue="Zip Code">
                 <apex:inputText value="{!Tenant_Equipment.Zip_Code__c}"/>
            </apex:column>
            <apex:column headerValue="Customer First Name">
                 <apex:inputText value="{!Tenant_Equipment.Customer_First_Name__c}"/>
            </apex:column>   
            <apex:column headerValue="Customer Last Name">
                 <apex:inputText value="{!Tenant_Equipment.Customer_Last_Name__c}"/>
            </apex:column>
            <apex:column headerValue="Phone Number">
                 <apex:inputText value="{!Tenant_Equipment.Phone_Number__c}"/>
            </apex:column>
            <apex:column headerValue="Email Address">
                 <apex:inputText value="{!Tenant_Equipment.Email_Address__c}"/>
            </apex:column>
        </apex:pageblocktable>
      </center>
      </apex:pageBlock>
         <br/>
         <br/>
    </fieldset>
    </apex:form>
</apex:page>